package eu.asvachin.hashcalculator;

import eu.asvachin.hashcalculator.gui.HashCalculatorGui;
import eu.asvachin.toolbox.util.Logging;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Program to calculate multiple hashes of a file at once.
 *
 * @author Miles Asvachin
 */
public class HashCalculator
{
	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) throws IOException
	{
		Logging.initialise(false);
		Logger.getLogger(HashCalculator.class.getName()).log(Level.INFO, "Started");
		
		//Make sure the program quits when there is an exception, rather than 
		//the default behaviour of only the affected thread being terminated.
		Thread.setDefaultUncaughtExceptionHandler(new Thread.UncaughtExceptionHandler()
		{
			@Override
			public void uncaughtException(final Thread t, final Throwable ex)
			{
				Logger.getLogger(HashCalculator.class.getName()).log(Level.SEVERE, "Uncaught exception", ex);
				System.exit(1);
			}
		});
		
		final HashController controller = new HashController();
		
		javax.swing.SwingUtilities.invokeLater(new Runnable()
		{
			@Override
			public void run()
			{
				new HashCalculatorGui(controller);
			}
		});
	}
}
