package eu.asvachin.hashcalculator.gui;

import java.awt.Color;
import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * Changes colours if the row is disabled.
 *
 * @author Miles Asvachin
 */
public class HashTableCellRenderer extends DefaultTableCellRenderer
{
	final static Color DISABLED_FOREGROUND = new Color(160, 160, 160);
	final static Color DISABLED_BACKGROUND = new Color(220, 220, 220);
	
	@Override
	public Component getTableCellRendererComponent(final JTable table, final Object value, final boolean isSelected, final boolean hasFocus, final int row, final int column)
	{
		final Component c = super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);

		if(!isSelected)
		{
			if(((HashTableModel)table.getModel()).isHashEnabled(row))
			{
				c.setForeground(table.getForeground());
				c.setBackground(table.getBackground());
			}
			else
			{
				c.setForeground(DISABLED_FOREGROUND);
				c.setBackground(DISABLED_BACKGROUND);
			}
		}
		
		if(column == HashTableModel.ColumnDescription.FILE_HASH.ordinal() || column == HashTableModel.ColumnDescription.COMP_HASH.ordinal())
		{
			setHorizontalAlignment(JLabel.RIGHT);
			setToolTipText((String)value);
		}
		
		return c;
	}
}
