package eu.asvachin.hashcalculator.gui;

import java.awt.Color;
import java.awt.Component;
import javax.swing.JTable;

/**
 * Draws a tick or a cross depending on whether the calculated hash matches the comparison hash.
 *
 * @author Miles Asvachin
 */
public class TickTableCellRenderer extends HashTableCellRenderer
{
	@Override
	public Component getTableCellRendererComponent(final JTable table, final Object value, final boolean isSelected, final boolean hasFocus, final int row, final int column)
	{
		final Component c = super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);

		if(HashTableModel.ColumnDescription.values()[column] == HashTableModel.ColumnDescription.MATCH)
		{
			if(Boolean.TRUE.equals(value))
			{
				c.setForeground(Color.GREEN);
				setValue("✔");
			}
			else if(Boolean.FALSE.equals(value))
			{
				c.setForeground(Color.RED);
				setValue("✘");
			}
			else
			{
				setValue(null);
			}
		}
		
		return c;
	}
}
