package eu.asvachin.hashcalculator.hashes.crc;

/**
 * CRC-1 i.e. parity bit.
 *
 * @author Miles Asvachin
 */
public class CRC1 extends CRC
{
	private int sum;
	
	protected CRC1(String name){hashName = name;}

	@Override
	public void reset(){sum = 0;}

	@Override
	public void update(byte[] newData)
	{
		for(final byte b : newData)
		{
			sum ^= b;
		}
	}

	@Override
	public void finish()
	{
		digest = (Integer.bitCount(sum) % 2 > 0 ? "1" : "0");
		reset();
	}
}