package eu.asvachin.hashcalculator.hashes.crc;

import java.util.zip.Adler32;

/**
 * Wrapper for java.util.zip.Adler32
 *
 * @author Miles Asvachin
 */
public class CRC32Adler extends CRC
{
	private final Adler32 Adler = new Adler32();
	
	public CRC32Adler(){hashName = "Adler-32";}

	@Override
	public void reset(){Adler.reset();}

	@Override
	public void update(byte[] newData)
	{
		for(final byte b : newData)
		{
			Adler.update(b);
		}
	}

	@Override
	public void finish()
	{
		digest = String.format("%08x", Adler.getValue());
		reset();
	}
}