package eu.asvachin.hashcalculator.hashes.sum;

import eu.asvachin.hashcalculator.hashes.Hash;

/**
 * xor8 checksum.
 *
 * @author Miles Asvachin
 */
public class Xor8 extends Hash
{
	private int sum = 0;
	
	public Xor8(){hashName = "xor8";}

	@Override
	public void reset(){sum = 0;}

	@Override
	public void update(final byte[] newData)
	{
		for(final byte b : newData)
		{
			sum ^= b & 0xFF;
		}
	}

	@Override
	public void finish()
	{
		digest = String.format("%02x", sum);
		reset();
	}

	@Override
	public HashType getHashType(){return HashType.CHECKSUM;}
}
