package eu.asvachin.hashcalculator.utilities;

/**
 *
 * @author Miles Asvachin
 */
public final class StringUtilities
{
	private StringUtilities(){}

	/**
	 * Formats time to the appropriate units: xh xm x.xs if time is at least one second
	 *
	 * @todo Surely there's a native function for this somewhere?
	 * @param miliseconds the time in milliseconds
	 * @return the formatted time
	 */
	public static String formatTime(long milliseconds)
	{
		int hours;
		int minutes;
		int seconds;
		double temp;

		if(milliseconds >= 1000)
		{
			temp = (double)milliseconds;
			temp = Math.floor(temp / 1000.0);
			seconds = (int)temp;
			milliseconds -= temp * 1000;

			if(seconds >= 60)
			{
				temp = Math.floor(seconds / 60.0);
				minutes = (int)temp;
				seconds -= temp * 60;

				if(minutes >= 60) //Errr, no one is going to wait that long, surely?
				{
					temp = Math.floor(minutes / 60.0);
					hours = (int)temp;
					minutes -= temp * 60;

					return hours + "h " + minutes + "m " + seconds + "." + milliseconds/100 + "s";
				}

				return minutes + "m " + seconds + "." + milliseconds/100 + "s";
			}

			return seconds + "." + milliseconds/100 + "s";
		}

		return milliseconds + "ms";
	}
}
